tbd = {};

tbd.isFirstLoad = function(namesp) {
  var isFirst = namesp.firstLoad === undefined;
  namesp.firstLoad = false;
  return isFirst;
}

window.onload = function() {
  if (!tbd.isFirstLoad(tbd)) {
	  return;
  }
  var vms = document.querySelectorAll(".tbd .vi_more");
  for (let i = 0; i < vms.length; i++) {
    var vm = vms[i];
    vm.addEventListener("click", classToggle);
  }
  var prons = document.querySelectorAll(".tbd .play_pron");
  for (let i = 0; i < prons.length; i++) {
    var pron = prons[i];
    pron.addEventListener("click", playAudio);
  }

  /*
  var ents = document.querySelectorAll("entry>top-g>*:first-child");
  for (let i = 0; i < ents.length; i++) {
    var ent = ents[i];
    ent.addEventListener("click", modeSwitch);
  }
  */
}


function classToggle() {
  this.classList.toggle("opened");
  var tpe = this.previousElementSibling;
  tpe.classList.toggle("collapsed");
}

function playAudio() {
  var audio = this.nextElementSibling;
  audio.play();
}

function modeSwitch() {
  var xgs = this.closest("entry").getElementsByTagName("x-gs");
  for (let i = 0; i < xgs.length; i++) {
    var xg = xgs[i];
    if (xg.style.display !== "block") {
      xg.style.display = "block";
    } else {
      xg.style.display = "none";
    }
  }
  var engs = this.closest("entry").getElementsByTagName("eng");
  for (let i = 0; i < engs.length; i++) {
    var eng = engs[i];
    if (eng.style.display !== "inline") {
      eng.style.display = "inline";
    } else {
      eng.style.display = "none";
    }
  }
}
